curl --request PUT \
--url https://api.quiva.ai/storage/streams/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated description for the user events stream"
}
'{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "internal_error"
}Streams
Create or update a stream
Creates a new stream or updates an existing stream with the provided configuration. If the stream does not exist, it will be created. If it exists, it will be updated with the new configuration.
Note that some properties cannot be changed after a stream is created, such as the storage type. If you attempt to change these properties, the request will fail with a 400 error.
PUT
/
storage
/
streams
/
{name}
curl --request PUT \
--url https://api.quiva.ai/storage/streams/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated description for the user events stream"
}
'{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "internal_error"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Name of the stream
Body
application/json
Response
Bad Request
Example:
"success"